#!/bin/sh

HOST=dss-sdc.local
if [ -f hostname.target ]; then
    read HOST < hostname.target
fi

FILES="\
    ../src/default.conf\
    ../src/parse_config_file.sh\
    cleanup-handler.sh\
    test-functions.sh\
    ../src/sdo-disable-logs.sh\
    test_sdo-disable-runit.sh\
    test_sdo-disable-aufs.sh\
    ../src/sdo-umount.sh\
    ../src/sdo-mount.sh\
    test_sdo-mount.sh\
    ../src/sdo-rm-old-backups.sh\
    test_sdo-rm-old-backups.sh\
    run_all.sh\
"

scp $FILES root@$HOST:sdc-overlay/ || {
    # retry but create the directory first
    ssh root@${HOST} "mkdir -p sdc-overlay"
    scp $FILES root@$HOST:sdc-overlay/
}
