#!/bin/sh
#
# stop all daemons with open fd on /var/log
#

echo -n "\
To unmount the SD card, all runit deamons must be stopped,
since most of them have an open file descriptor in /var/log.
Continue? y/N "
read answer

if [ -z "$answer" -o "$answer" != 'y' ]; then
    echo "aborting..."
    exit
fi

/etc/init.d/runit.sh stop > /dev/null 2>&1
/etc/init.d/syslog stop > /dev/null 2>&1

# runit kills after 7s
echo "wait for dameons to shutdown"
sleep 7

if mountpoint -q /media/card; then
    umount /var/log
    umount /usr/share/dss/data/metering
    umount /media/card
fi

echo -n "\

Shall the daemons be restarted again? y/N "
read answer

if [ -z "$answer" -o "$answer" != 'y' ]; then
    echo "\
Don't forget to RESTART the deamons when done.

  /etc/init.d/sdcard-overlay start
  /etc/init.d/runit.sh start
  /etc/init.d/syslog start

Reboot the system if unsure
"
    exit 0
fi

echo "restarting daemons..."
/etc/init.d/runit.sh start
/etc/init.d/syslog start
